Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## javax.jdo.metadata
Interface KeyMetadata

All Superinterfaces:
  Metadata

    public interface KeyMetadata

extends Metadata

Represents a key in a map.

Method Summary
`java.lang.String` | `getColumn()` Accessor for the name of the column.
`ColumnMetadata[]` | `getColumns()` Accessor for all column(s) defined on the key.
`ForeignKeyAction` | `getDeleteAction()` Accessor for the delete action of the FK
`EmbeddedMetadata` | `getEmbeddedMetadata()` Accessor for any embedded metadata on this key
`ForeignKeyMetadata` | `getForeignKeyMetadata()` Accessor for any foreign key metadata on this key.
`IndexMetadata` | `getIndexMetadata()` Accessor for any index metadata on this key
`int` | `getNumberOfColumns()` Accessor for the number of columns defined for this key.
`java.lang.String` | `getTable()` Accessor for the name of the table.
`UniqueMetadata` | `getUniqueMetadata()` Accessor for any unique constraint metadata on this key.
`ForeignKeyAction` | `getUpdateAction()` Accessor for the update action of the FK
`ColumnMetadata` | `newColumnMetadata()` Add a new column for this key.
`EmbeddedMetadata` | `newEmbeddedMetadata()` Method to set new embedded metadata for the key.
`ForeignKeyMetadata` | `newForeignKeyMetadata()` Method to set new foreign key metadata for the key
`IndexMetadata` | `newIndexMetadata()` Method to set new index metadata for the key.
`UniqueMetadata` | `newUniqueMetadata()` Method to set new unique constraint metadata for the key
`KeyMetadata` | `setColumn(java.lang.String column)` Method to set the column name.
`KeyMetadata` | `setDeleteAction(ForeignKeyAction action)` Method to set the delete action of the FK
`KeyMetadata` | `setTable(java.lang.String table)` Method to set the table name.
`KeyMetadata` | `setUpdateAction(ForeignKeyAction action)` Method to set the update action of the FK

Methods inherited from interface javax.jdo.metadata.Metadata
`getExtensions, getNumberOfExtensions, getParent, newExtensionMetadata`

Method Detail

### setColumn

    KeyMetadata setColumn(java.lang.String column)

  Method to set the column name.

  Parameters:
    `column` - Column name

### getColumn

    java.lang.String getColumn()

  Accessor for the name of the column.

  Returns:
    The name

### setTable

    KeyMetadata setTable(java.lang.String table)

  Method to set the table name.

  Parameters:
    `table` - Table name

### getTable

    java.lang.String getTable()

  Accessor for the name of the table.

  Returns:
    The name

### setDeleteAction

    KeyMetadata setDeleteAction(ForeignKeyAction action)

  Method to set the delete action of the FK

  Parameters:
    `action` - Delete action of the FK

### getDeleteAction

    ForeignKeyAction getDeleteAction()

  Accessor for the delete action of the FK

  Returns:
    The FK delete-action

### setUpdateAction

    KeyMetadata setUpdateAction(ForeignKeyAction action)

  Method to set the update action of the FK

  Parameters:
    `action` - Update action of the FK

### getUpdateAction

    ForeignKeyAction getUpdateAction()

  Accessor for the update action of the FK

  Returns:
    The FK update-action

### getColumns

    ColumnMetadata[] getColumns()

  Accessor for all column(s) defined on the key.

  Returns:
    The column(s)

### newColumnMetadata

    ColumnMetadata newColumnMetadata()

  Add a new column for this key.

  Returns:
    The ColumnMetadata

### getNumberOfColumns

    int getNumberOfColumns()

  Accessor for the number of columns defined for this key.

  Returns:
    The number of columns

### newEmbeddedMetadata

    EmbeddedMetadata newEmbeddedMetadata()

  Method to set new embedded metadata for the key.

  Returns:
    The EmbeddedMetadata

### getEmbeddedMetadata

    EmbeddedMetadata getEmbeddedMetadata()

  Accessor for any embedded metadata on this key

  Returns:
    The EmbeddedMetadata

### newIndexMetadata

    IndexMetadata newIndexMetadata()

  Method to set new index metadata for the key.

  Returns:
    The IndexMetadata

### getIndexMetadata

    IndexMetadata getIndexMetadata()

  Accessor for any index metadata on this key

  Returns:
    Index metadata

### newUniqueMetadata

    UniqueMetadata newUniqueMetadata()

  Method to set new unique constraint metadata for the key

  Returns:
    The UniqueMetadata

### getUniqueMetadata

    UniqueMetadata getUniqueMetadata()

  Accessor for any unique constraint metadata on this key.

  Returns:
    The UniqueMetadata

### newForeignKeyMetadata

    ForeignKeyMetadata newForeignKeyMetadata()

  Method to set new foreign key metadata for the key

  Returns:
    The ForeignKeyMetadata

### getForeignKeyMetadata

    ForeignKeyMetadata getForeignKeyMetadata()

  Accessor for any foreign key metadata on this key.

  Returns:
    The ForeignKeyMetadata

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2005-2011 Apache Software Foundation. All Rights Reserved.